const util = require('../../../utils/util.js');
const api = require('../../../utils/api.js');

const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    apiTotal: '',
    id: '',
    type: false,
    userInfo: '',
    list: []
  },

  getUserInfoArray: function(e) {
    const that = this;
    util.httpRequest(api.getVisitorInfo, {
      visitorId: that.data.id
    }, 'post').then(res => {
      let userInfo = [];
      userInfo.push({
        key: '访客姓名：',
        value: res.data.data.visitor.visitorName
      }, {
        key: '身份证号：',
        value: res.data.data.visitor.idnumber
      }, {
        key: '手机号：',
        value: res.data.data.visitor.visitorPhone
      }, {
        key: '被访人：',
        value: res.data.data.visitor.inviteName
      }, {
        key: '身份类型：',
        value: res.data.data.visitor.identity
      }, {
        key: '访问楼栋：',
        value: res.data.data.visitor.storey
      }, {
        key: '访问宿舍：',
        value: res.data.data.visitor.room
      }, {
        key: '访问原因：',
        value: res.data.data.visitor.visitorReason
      })
      that.setData({
        list: userInfo,
        userInfo: res.data.data.visitor
      })
    })
  },

  check: function(e) {
    const that = this;
    let reject = e.currentTarget.dataset.reject;
    let id = e.currentTarget.dataset.id;
    util.httpRequest(api.getVisitorCheck, {
      id: that.data.id,
      audit: reject == 'approve' ? true : false
    }, 'post').then(res => {
      wx.showToast({
        title: res.data.errmsg,
      })
      setTimeout(function() {
        wx.navigateBack({

        })
      }, 500)
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    const that = this;
    console.log(options.type)
    that.setData({
      id: options.id,
      type: options.type,
      apiTotal: api.total.substring(0, api.total.length - 4)
    })
    that.getUserInfoArray();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  }
})